com.genesyslab.wfm7.API.service.adherence720

## Class AdhTotalsHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.adherence720.AdhTotalsHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class AdhTotalsHolder
      extends java.lang.Object
      implements java.io.Serializable

  `AdhTotals` holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `timestamp` Response timestamp value
    `private AdhTotals[]` | `wmTotals` An array of `AdhTotals`
    `private int` | `wmTotalsNSizeIs` Number of elements in wmTotals array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdhTotalsHolder()`
    `AdhTotalsHolder(int wmTotalsNSizeIs, AdhTotals[] wmTotals, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimestamp()` Gets the timestamp value for this AdhTotalsHolder.
    `AdhTotals[]` | `getWmTotals()` Gets the wmTotals value for this AdhTotalsHolder.
    `int` | `getWmTotalsNSizeIs()` Gets the wmTotalsNSizeIs value for this AdhTotalsHolder.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this AdhTotalsHolder.
    `void` | `setWmTotals(AdhTotals[] wmTotals)` Sets the wmTotals value for this AdhTotalsHolder.
    `void` | `setWmTotalsNSizeIs(int wmTotalsNSizeIs)` Sets the wmTotalsNSizeIs value for this AdhTotalsHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmTotalsNSizeIs

          private int wmTotalsNSizeIs

      Number of elements in wmTotals array

    - #### wmTotals

          private AdhTotals[] wmTotals

      An array of `AdhTotals`

    - #### timestamp

          private long timestamp

      Response timestamp value

  - ### Constructor Detail

    - #### AdhTotalsHolder

          public AdhTotalsHolder()

    - #### AdhTotalsHolder

          public AdhTotalsHolder(int wmTotalsNSizeIs,
                         AdhTotals[] wmTotals,
                         long timestamp)

  - ### Method Detail

    - #### getWmTotalsNSizeIs

          public int getWmTotalsNSizeIs()

      Gets the wmTotalsNSizeIs value for this AdhTotalsHolder.
      Returns:
        wmTotalsNSizeIs

    - #### setWmTotalsNSizeIs

          public void setWmTotalsNSizeIs(int wmTotalsNSizeIs)

      Sets the wmTotalsNSizeIs value for this AdhTotalsHolder.
      Parameters:
        `wmTotalsNSizeIs` -

    - #### getWmTotals

          public AdhTotals[] getWmTotals()

      Gets the wmTotals value for this AdhTotalsHolder.
      Returns:
        wmTotals

    - #### setWmTotals

          public void setWmTotals(AdhTotals[] wmTotals)

      Sets the wmTotals value for this AdhTotalsHolder.
      Parameters:
        `wmTotals` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this AdhTotalsHolder.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this AdhTotalsHolder.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.